Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.webservice
Interface CatalogWS

All Superinterfaces
  BusinessSmartComponent, javax.ejb.EJBObject, Remote, Serializable, Session

Deprecated

    @Deprecated
    public interface CatalogWS

extends Session

Method Summary
`String` | `expressionSearch(String expression)` Deprecated Returns product item information populated with category and ancestor information for a search expression.
`String` | `expressionSearchRestricted(String expression, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.
`String` | `expressionSearchSKU(String expression)` Deprecated Returns product item information populated with category and ancestor information for a SKU search expression.
`String` | `expressionSearchSKURestricted(String expression, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.
`String` | `getAllChildren(String categoryKey, boolean addAncestorInfo)` Deprecated Returns an XML document of all the categories and product items under a given category.
`String` | `getAllChildrenRestricted(String categoryKey, boolean addAncestorInfo, int numResults)` Deprecated Returns an XML document of all the categories and product items under a given category.
`String` | `getCategoryInfo(String productItemKey)` Deprecated Returns ancestor information for all the categories a product item resides in.
`String` | `getRootChildren()` Deprecated Returns an XML document of all the categories and product items under the root category.
`String` | `getRootChildrenRestricted(int numResults)` Deprecated Returns an XML document of all the categories and product items under the root category.
`String` | `keywordSearch(String keyword)` Deprecated Returns product item information populated with category and ancestor information for a set of keywords.
`String` | `keywordSearchRestricted(String keyword, int numResults)` Deprecated Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAllChildren

    String getAllChildren(String categoryKey,
                          boolean addAncestorInfo)
                          throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under a given category. The category is identified by a string category key.

  Parameters
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getAllChildrenRestricted

    String getAllChildrenRestricted(String categoryKey,
                                    boolean addAncestorInfo,
                                    int numResults)
                                    throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under a given category. The category is identified by a string category key. This call restricts the number of results to a specified number.

  Parameters
    `categoryKey` - String representation of category key concerned.
    `addAncestorInfo` - if true adds ancestor info to the category children.
    `numResults` - number of results to be returned
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getRootChildren

    String getRootChildren()
                           throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under the root category.

  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getRootChildrenRestricted

    String getRootChildrenRestricted(int numResults)
                                     throws RemoteException

  Deprecated
  Returns an XML document of all the categories and product items under the root category. Restricts the number of results to the first `numResults`.

  Parameters
    `numResults` - number of results to be returned.
  Returns
    XML Document of categories and product items under categoryKey.
  Throws
    `RemoteException`

### getCategoryInfo

    String getCategoryInfo(String productItemKey)
                           throws RemoteException

  Deprecated
  Returns ancestor information for all the categories a product item resides in.

  Parameters
    `productItemKey` - String representation of product item key concerned.
  Returns
    XML Document of category information.
  Throws
    `RemoteException`

### keywordSearch

    String keywordSearch(String keyword)
                         throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a set of keywords.

  Parameters
    `keyword` - Search keyword(s).
  Returns
    XML Document of all information.
  Throws
    `RemoteException`

### keywordSearchRestricted

    String keywordSearchRestricted(String keyword,
                                   int numResults)
                                   throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a set of keywords for the first `numResults` results.

  Parameters
    `keyword` - Search keyword(s).
    `numResults` - number of results to be returned.
  Returns
    XML Document of all information.
  Throws
    `RemoteException`

### expressionSearch

    String expressionSearch(String expression)
                            throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a search expression.

  Parameters
    `expression` - Search expression.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchRestricted

    String expressionSearchRestricted(String expression,
                                      int numResults)
                                      throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a search expression for the first `numResults` results.

  Parameters
    `expression` - Search expression.
    `numResults` - number of results to be returned.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchSKU

    String expressionSearchSKU(String expression)
                               throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a SKU search expression.

  Parameters
    `expression` - SKU Search expression.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

### expressionSearchSKURestricted

    String expressionSearchSKURestricted(String expression,
                                         int numResults)
                                         throws RemoteException

  Deprecated
  Returns product item information populated with category and ancestor information for a SKU search expression for the first `numResults` results.

  Parameters
    `expression` - SKU Search expression.
    `numResults` - number of results to be returned.
  Returns
    XML string of all information.
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.